Global Dim FlagCaption.s(31), Dim FlagDescription.s(31)

Procedure EDXInfo(Array FlagCaption.s(1), Array FlagDescription.s(1))
FlagCaption(0) = "FPU": FlagDescription(0) = "Floating-Point  Unit"
FlagCaption(1) = "VME": FlagDescription(1) = "Virtual  Mode  Extensions"
FlagCaption(2) = "DE": FlagDescription(2) = "Debugging  Extensions"
FlagCaption(3) = "PSE": FlagDescription(3) = "Page  Size  Extensions"
FlagCaption(4) = "TSC": FlagDescription(4) = "Time  Stamp  Counter"
FlagCaption(5) = "MSR": FlagDescription(5) = "Model  Specific  Registers"
FlagCaption(6) = "PAE": FlagDescription(6) = "Page  Address  Extensions"
FlagCaption(7) = "MCE": FlagDescription(7) = "Machine  Check  Exception"
FlagCaption(8) = "CX8": FlagDescription(8) = "CMPXCHG8B  Instruction"
FlagCaption(9) = "APIC": FlagDescription(9) = "APIC"
FlagCaption(10) = "": FlagDescription(10) = "Reserved - Not used"
FlagCaption(11) = "SEP": FlagDescription(11) = "SYSENTER/SYSEXIT  Instructions"
FlagCaption(12) = "MTRR": FlagDescription(12) = "Memory  Type  Range  Registers"
FlagCaption(13) = "PGE": FlagDescription(13) = "Global  Paging  Extension"
FlagCaption(14) = "MCA": FlagDescription(14) = "Machine  Check  Architecture"
FlagCaption(15) = "CMOV": FlagDescription(15) = "Conditional  Move  Instructions"
FlagCaption(16) = "PAT": FlagDescription(16) = "Page  Attribute  Table"
FlagCaption(17) = "PSE-36": FlagDescription(17) = "36-bit  Page  Size  Extension"
FlagCaption(18) = "PSN": FlagDescription(18) = "96-bit  Processor  Serial  Number"
FlagCaption(19) = "CLFSH": FlagDescription(19) = "CLFLUSH  Instruction"
FlagCaption(20) = "": FlagDescription(20) = "Reserved - Not used"
FlagCaption(21) = "DTES": FlagDescription(21) = "Debug  Trace  and  EMON  Store  MSRs"
FlagCaption(22) = "ACPI": FlagDescription(22) = "ACPI"
FlagCaption(23) = "MMX": FlagDescription(23) = "MMX  Instructions"
FlagCaption(24) = "FXSR": FlagDescription(24) = "FXSAVE/FXRESTOR  Instructions"
FlagCaption(25) = "SSE": FlagDescription(25) = "Streaming  SIMD  Extensions"
FlagCaption(26) = "SSE2": FlagDescription(26) = "Streaming  SIMD  Extensions  2"
FlagCaption(27) = "SS": FlagDescription(27) = "Self-Snoop"
FlagCaption(28) = "HTT": FlagDescription(28) = "Hyper-Threading  Technology"
FlagCaption(29) = "TM1": FlagDescription(29) = "Thermal  Monitor  1"
FlagCaption(30) = "IA-64": FlagDescription(30) = "IA-64  Processor  Capable"
FlagCaption(31) = "PBE": FlagDescription(31) = "Pending  Break  Event"
EndProcedure

Procedure ECXInfo(Array FlagCaption.s(1),Array FlagDescription.s(1))
FlagCaption(0) = "SSE3": FlagDescription(0) = "Streaming  SIMD  Extensions  3"
FlagCaption(1) = "PCLMUL": FlagDescription(1) = "PCLMULQDQ"
FlagCaption(2) = "": FlagDescription(2) = "64-bit Debug Trace and EMON Store MSRs"
FlagCaption(3) = "MONITOR": FlagDescription(3) = "MONITOR/MWAIT  Instructions"
FlagCaption(4) = "DS-CPL": FlagDescription(4) = "CPL  Qualified  Debug  Store"
FlagCaption(5) = "VMX": FlagDescription(5) = "Virtual  Machine  Extensions"
FlagCaption(6) = "SMX": FlagDescription(6) = "System  Machine  Extensions"
FlagCaption(7) = "EST": FlagDescription(7) = "Enhanced  SpeedStep  Technology"
FlagCaption(8) = "TM2": FlagDescription(8) = "Thermal  Monitor  2"
FlagCaption(9) = "SSSE3": FlagDescription(9) = "Supplemental  Streaming  SIMD  Extensions  3"
FlagCaption(10) = "CID": FlagDescription(10) = "L1  Context  ID"
FlagCaption(11) = "": FlagDescription(11) = "Reserved - Not used"
FlagCaption(12) = "FMA": FlagDescription(12) = "Fused Multiply Add"
FlagCaption(13) = "CX16": FlagDescription(13) = "CMPXCHG16B  Instruction"
FlagCaption(14) = "ETPR": FlagDescription(14) = "Send  Task  Priority  Messages"
FlagCaption(15) = "PDCM": FlagDescription(15) = "Performance  Debug  Capability  MSR"
FlagCaption(16) = "": FlagDescription(16) = "Reserved - Not used"
FlagCaption(17) = "": FlagDescription(17) = "Reserved - Not used"
FlagCaption(18) = "DCA": FlagDescription(18) = "Direct  Cache  Access"
FlagCaption(19) = "SSE4.1": FlagDescription(19) = "Streaming  SIMD  Extensions  4.1"
FlagCaption(20) = "SSE4.2": FlagDescription(20) = "Streaming  SIMD  Extensions  4.2"
FlagCaption(21) = "x2APIC": FlagDescription(21) = "APIC  Base  Extended"
FlagCaption(22) = "MOVBE": FlagDescription(22) = "MOVBE"
FlagCaption(23) = "POPCNT": FlagDescription(23) = "Population  Count  Instruction"
FlagCaption(24) = "": FlagDescription(24) = "Reserved - Not used"
FlagCaption(25) = "AES": FlagDescription(25) = "Advanced Encryption Standard"
FlagCaption(26) = "XSAVE": FlagDescription(26) = "CR4.OSXSAVE, XCRn, XGETBV, XSETBV, XSAVE, XRSTOR"
FlagCaption(27) = "OSXSAVE": FlagDescription(27) = "non-privileged read-only copy of current CR4.OSXSAVE value"
FlagCaption(28) = "AVX": FlagDescription(28) = "Advanced Vector Extensions"
For i = 29 To 31
FlagCaption(i) = "": FlagDescription(i) = "Reserved - Not used"
Next
EndProcedure

Procedure ExtEDXInfo(Array FlagCaption.s(1),Array FlagDescription.s(1))
FlagCaption(0) = "FPU": FlagDescription(0) = "x87  Floating  Point  Unit"
FlagCaption(1) = "VME": FlagDescription(1) = "Virtual  Mode  Extensions"
FlagCaption(2) = "DE": FlagDescription(2) = "Debugging  Extensions"
FlagCaption(3) = "PSE": FlagDescription(3) = "Page  Size  Extensions"
FlagCaption(4) = "TSC": FlagDescription(4) = "Time  Stamp  Counter"
FlagCaption(5) = "MSR": FlagDescription(5) = "Model  Specific  Registers"
FlagCaption(6) = "PAE": FlagDescription(6) = "Page  Address  Extensions"
FlagCaption(7) = "MCE": FlagDescription(7) = "Machine  Check  Exception"
FlagCaption(8) = "CX8": FlagDescription(8) = "CMPXCHG8B  Instruction"
FlagCaption(9) = "APIC": FlagDescription(9) = "Advanced  Programmable  Interrupt  Controller"
FlagCaption(10) = "": FlagDescription(10) = "Reserved - Not used"
FlagCaption(11) = "SEP": FlagDescription(11) = "SYSCALL  and  SYSRET  Instructions"
FlagCaption(12) = "MTRR": FlagDescription(12) = "Memory  Type  Range  Registers"
FlagCaption(13) = "PGE": FlagDescription(13) = "Page  Global  Extension"
FlagCaption(14) = "MCA": FlagDescription(14) = "Machine  Check  Architecture"
FlagCaption(15) = "CMOV": FlagDescription(15) = "Conditional  Move  Instructions"
FlagCaption(16) = "PAT": FlagDescription(16) = "Page  Attribute  Table"
FlagCaption(17) = "PSE-36": FlagDescription(17) = "36-bit  Page  Size  Extension"
FlagCaption(18) = "": FlagDescription(18) =  "Reserved - Not used"
FlagCaption(19) = "MP": FlagDescription(19) = "MultiProcessing  Capable"
FlagCaption(20) = "NX/XD": FlagDescription(20) = "No-Execute / Execution Disable Bit"
FlagCaption(21) = "": FlagDescription(21) =  "Reserved - Not used"
FlagCaption(22) = "MMX+": FlagDescription(22) = "MMX  Instructions  Extensions"
FlagCaption(23) = "MMX": FlagDescription(23) = "MMX  Instructions"
;'24 -> for Cyrix: Cyrix specific: extended MMX (=+)
FlagCaption(24) = "FXSR": FlagDescription(24) = "FXSAVE  and  FXRESTOR  Instructions"
FlagCaption(25) = "FFXSR": FlagDescription(25) = "FXSAVE  and  FXRESTOR  Optimizations"
FlagCaption(26) = "PS1GB": FlagDescription(26) = "1GB  Page  Size"
FlagCaption(27) = "RDTSCP": FlagDescription(27) = "Read  Time  Stamp  Counter"
FlagCaption(28) = "": FlagDescription(28) =  "Reserved - Not used"
FlagCaption(29) = "x64": FlagDescription(29) = "AMD64 / INTEL Ext Memory 64 Tech (EM64T)"
FlagCaption(30) = "3DNow!+": FlagDescription(30) = "3DNow!  Instruction  Extensions"
FlagCaption(31) = "3DNow!": FlagDescription(31) = "3DNow!  Instructions"
EndProcedure

Procedure ExtECXInfo(Array FlagCaption.s(1),Array FlagDescription.s(1))
FlagCaption(0) = "AHF64": FlagDescription(0) = "LAHF  and  SAHF  instructions  in  64-bit  mode"
FlagCaption(1) = "CMP": FlagDescription(1) = "Core  MultiProcessing  legacy"
FlagCaption(2) = "SVM": FlagDescription(2) = "Secure  Virtual  Machine"
FlagCaption(3) = "EAS": FlagDescription(3) = "Extended  APIC  Space"
FlagCaption(4) = "CR8D": FlagDescription(4) = "LOCK-prefixed  MOV  from/to  CR0"
FlagCaption(5) = "ABM": FlagDescription(5) = "Advanced  Bit  Manipulation"
FlagCaption(6) = "SSE4A": FlagDescription(6) = "Streaming  SIMD  Extensions  4 AMD"
FlagCaption(7) = "MSSE": FlagDescription(7) = "Misaligned  SSE  Mode"
FlagCaption(8) = "3DNow!-": FlagDescription(8) = "3DNow!  Prefetch"
FlagCaption(9) = "OSVW": FlagDescription(9) = "OS  Visible  Workaround"
FlagCaption(10) = "IBS": FlagDescription(10) = "Instruction Based Sampling"
FlagCaption(11) = "SSE5A": FlagDescription(11) = "Streaming  SIMD  Extensions  5 AMD"
FlagCaption(12) = "SKINIT": FlagDescription(12) = "SKINIT/STGI/DEV  Support"
FlagCaption(13) = "WDT": FlagDescription(13) = "Watchdog  Timer"
For i = 14 To 31
FlagCaption(i) = "": FlagDescription(i) = "Reserved - Not used"
Next
EndProcedure

Procedure ViaInfo(Array FlagCaption.s(1),Array FlagDescription.s(1))
FlagCaption(0) = "AIS": FlagDescription(0) = "Alternate  Instruction  Set"
FlagCaption(1) = "AIS-E": FlagDescription(1) = "Alternate  Instruction  Set  Enebled"
FlagCaption(2) = "RNG": FlagDescription(2) = "Random  Number  Generator"
FlagCaption(3) = "RNG-E": FlagDescription(3) = "RNG  Enabled"
FlagCaption(4) = "LH": FlagDescription(4) = "LongHaul  MSR  0000_110Ah"
FlagCaption(5) = "FEMMS": FlagDescription(5) = "FEMMS"
FlagCaption(6) = "ACE": FlagDescription(6) = "Advanced  Cryptography  Engine"
FlagCaption(7) = "ACE-E": FlagDescription(7) = "ACE  Enabled"
FlagCaption(8) = "MM/HE": FlagDescription(8) = "Montgomery Multiplier and Hash Engine"
FlagCaption(9) = "MM/HE-E": FlagDescription(9) = "MM/HE  Enabled"
For i = 10 To 31
FlagCaption(i) = "": FlagDescription(i) = "Reserved - Not used"
Next
EndProcedure

Procedure TransInfo(Array FlagCaption.s(1),Array FlagDescription.s(1))
FlagCaption(0) = "BAD": FlagDescription(0) = "Recovery  CMS  Active"
FlagCaption(1) = "LR": FlagDescription(1) = "LongRun"
FlagCaption(2) = "": FlagDescription(2) = "Reserved - Not used" 
FlagCaption(3) = "LRTI": FlagDescription(3) = "LongRun  Table  Interface"
For i = 4 To 31
FlagCaption(i) = "": FlagDescription(i) = "Reserved - Not used"
Next
EndProcedure

Procedure PowerManagementInfo(Array FlagCaption.s(1),Array FlagDescription.s(1))
FlagCaption(0) = "TS": FlagDescription(0) = "Temperature  Sensor"
FlagCaption(1) = "FID": FlagDescription(1) = "Frequency  ID  Control"
FlagCaption(2) = "VID": FlagDescription(2) = "Voltage  ID  Control"
FlagCaption(3) = "TTP": FlagDescription(3) = "Thermal  Trip"
FlagCaption(4) = "TM": FlagDescription(4) = "Thermal  Monitoring"
FlagCaption(5) = "STC": FlagDescription(5) = "Software  Thermal  Control"
FlagCaption(6) = "MUL": FlagDescription(6) = "100MHz  Multiplier  Steps"
FlagCaption(7) = "HWPS": FlagDescription(7) = "Hardware  P-State  Control"
FlagCaption(8) = "ITSC": FlagDescription(8) = "Invariant  TSC"
For i = 9 To 31
FlagCaption(i) = "": FlagDescription(i) = "Reserved - Not used"
Next
EndProcedure
; IDE Options = PureBasic 4.31 (Windows - x86)
; CursorPosition = 147
; FirstLine = 114
; Folding = --
; DisableDebugger